<?php
class LSTLlamada extends AppListado {

	public function init(){
		$this->setClase('Llamada');
		$this->setMetodo('lst_byComisionista');
		$this->setCantidadPorPagina(array(50));

		$this->addColumna(new CLMTexto('codigoLlamada', '$codigoLlamada#', 'C&oacute;digo'));
		$this->addColumna(new CLMTexto('contacto', '$contactoNombre#', 'Contacto'));
		$this->addColumna(new CLMTexto('telefonoEntrada', '$telefonoEntrada#', 'Tel&eacute;fono'));		
		$this->addColumna(new CLMTexto('fecha', '$fecha# $hora#', 'Fecha Hora'));
		$this->addColumna(new CLMTexto('motivo', '$motivo#', 'Motivo'));
		$this->addColumna(new CLMTexto('usuario', '$usuarioNombre#', 'Atendi&oacute;'));
		$this->addColumna(new CLMTexto('empresaTelefono', '$receptorTelefono# ($receptorEmpresa#)', 'Empresa'));
				
		/*
		$this->setBotonEditarVisible(true);
		$this->setBotonEditarUrl('/wpresupuesto/editar');
		$this->setBotonEditarUrlAddParametro('id', '$campoPK#');
		
		$this->setBotonEliminarVisible(true);
		$this->setBotonEliminarUrl('/wpresupuesto/eliminar');
		$this->setBotonEliminarUrlAddParametro('id', '$campoPK#');
		*/
		
	}

}